* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Body */
body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    line-height: 1.6;
    color: #333;
    background-color: #f4f4f4;
    padding: 20px;
}

/* Container */
.container {
    max-width: 60%;
    margin: 0 auto;
    padding: 20px;
    background: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

/* Header */
header {
    text-align: center;
    padding: 20px 0;
}

header h1 {
    font-size: 2.5em;
    margin-bottom: 10px;
}

header p {
    font-size: 1.2em;
    color: #666;
}

/* Navigation */
nav {
    text-align: center;
    margin-bottom: 20px;
}

nav a {
    color: #333;
    text-decoration: none;
    margin: 0 10px;
    font-weight: bold;
}

nav a:hover {
    color: #007BFF;
}

/* Main Content */
main {
    margin-bottom: 20px;
}

main h2 {
    font-size: 2em;
    margin-bottom: 10px;
    border-bottom: 2px solid #007BFF;
    padding-bottom: 10px;
}

main p {
    margin-bottom: 20px;
    line-height: 1.8;
}

/* Footer */
footer {
    text-align: center;
    padding: 20px 0;
    border-top: 1px solid #ddd;
    color: #666;
}

footer p {
    font-size: 0.9em;
}

/* Links */
a {
    color: #007BFF;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

/* Code Blocks */
pre {
    background: #f4f4f4;
    padding: 10px;
    border-left: 3px solid #007BFF;
    overflow-x: auto;
}

code {
    background: #f4f4f4;
    padding: 2px 4px;
    font-family: 'Courier New', Courier, monospace;
}

/* Responsive */
@media (max-width: 768px) {
    .container {
        padding: 10px;
    }

    header h1 {
        font-size: 2em;
    }

    main h2 {
        font-size: 1.5em;
    }
}

details summary {
    display: flex;
    align-items: center;
    cursor: pointer;
}

details[open] summary::before {
    content: "▼"; /* Down arrow */
    margin-right: 10px;
}

details:not([open]) summary::before {
    content: "►"; /* Right arrow */
    margin-right: 10px;
}

span.red-letter {
    color: red;
}

span.green-letter {
    color: green;
}

span.yellow-letter {
    color: yellow;
}

span.purple-letter {
    color: purple;
}

/* Ensure list items have padding */
.container ul,
.container ol {
    padding-left: 40px;
}

img {
    max-width: 100%;
    height: auto;
    display: block;
    margin: auto;
    margin-top: 10px;
    margin-bottom: 10px;
}
.spin {
    color: green;
    font-weight: bold;
}
.loops {
    color: red;
    font-weight: bold;
}
.fifteen {
    /* color: purple; */
    background-color: rgba(128, 0, 128, 0.3);
}
.shared {
    color: blue;
}